<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>DOM.CSSRule</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>CSSRule Class Reference</h1>
<code>from PyKDE4.khtml import *</code>
<p>

Subclasses: <a href="../khtml/DOM.CSSCharsetRule.html">DOM.CSSCharsetRule</a>, <a href="../khtml/DOM.CSSFontFaceRule.html">DOM.CSSFontFaceRule</a>, <a href="../khtml/DOM.CSSImportRule.html">DOM.CSSImportRule</a>, <a href="../khtml/DOM.CSSMediaRule.html">DOM.CSSMediaRule</a>, <a href="../khtml/DOM.CSSPageRule.html">DOM.CSSPageRule</a>, <a href="../khtml/DOM.CSSStyleRule.html">DOM.CSSStyleRule</a>, <a href="../khtml/DOM.CSSUnknownRule.html">DOM.CSSUnknownRule</a><br />
Namespace: DOM<br />
<h2>Detailed Description</h2>

<p>The CSSRule interface is the abstract base interface
for any type of CSS &lt;a
href="http://www.w3.org/TR/REC-CSS2/syndata.html#q5"&gt; statement
</a> . This includes both &lt;a
href="http://www.w3.org/TR/REC-CSS2/syndata.html#q8"&gt; rule sets
</a> and &lt;a
href="http://www.w3.org/TR/REC-CSS2/syndata.html#at-rules"&gt;
at-rules </a> . An implementation is expected to preserve all rules
specified in a CSS style sheet, even if it is not recognized.
Unrecognized rules are represented using the CSSUnknownRule
interface.
</p>
<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj184805900">RuleType</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;UNKNOWN_RULE, STYLE_RULE, CHARSET_RULE, IMPORT_RULE, MEDIA_RULE, FONT_FACE_RULE, PAGE_RULE, QUIRKS_RULE&nbsp;}</td></tr>
<tr><td colspan="2"><br><h2>Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj184805420">__init__</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj189894092">__init__</a> (self, <a href="../khtml/DOM.CSSRule.html">DOM.CSSRule</a> other)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj184804972">__init__</a> (self, CSSRuleImpl impl)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191146380">assignOther</a> (self, <a href="../khtml/DOM.CSSRule.html">DOM.CSSRule</a> other, DOM.CSSRule.RuleType thisType)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../khtml/DOM.DOMString.html">DOM.DOMString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj189892172">cssText</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">CSSRuleImpl&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191145164">handle</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191145996">isNull</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../khtml/DOM.CSSRule.html">DOM.CSSRule</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj189894380">parentRule</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../khtml/DOM.CSSStyleSheet.html">DOM.CSSStyleSheet</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj189894508">parentStyleSheet</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj189894252">setCssText</a> (self, <a href="../khtml/DOM.DOMString.html">DOM.DOMString</a> a0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj189892396">type</a> (self)</td></tr>
</table>
<hr><h2>Method Documentation</h2><a class="anchor" name="obj184805420"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj189894092"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../khtml/DOM.CSSRule.html">DOM.CSSRule</a>&nbsp;</td>
<td class="paramname"><em>other</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj184804972"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">CSSRuleImpl&nbsp;</td>
<td class="paramname"><em>impl</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj191146380"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> assignOther</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../khtml/DOM.CSSRule.html">DOM.CSSRule</a>&nbsp;</td>
<td class="paramname"><em>other</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">DOM.CSSRule.RuleType&nbsp;</td>
<td class="paramname"><em>thisType</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj189892172"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../khtml/DOM.DOMString.html">DOM.DOMString</a> cssText</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>The parsable textual representation of the rule. This reflects
the current state of the rule and not its initial value.
</p></div></div><a class="anchor" name="obj191145164"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">CSSRuleImpl handle</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="internal" compact><dt><b>Internal:</b></dt><dd>
not part of the DOM
</dd></dl>
</p></div></div><a class="anchor" name="obj191145996"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool isNull</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj189894380"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../khtml/DOM.CSSRule.html">DOM.CSSRule</a> parentRule</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>If this rule is contained inside another rule (e.g. a style
rule inside an \@media block), this is the containing rule. If
this rule is not nested inside any other rules, this returns
null .
</p></div></div><a class="anchor" name="obj189894508"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../khtml/DOM.CSSStyleSheet.html">DOM.CSSStyleSheet</a> parentStyleSheet</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>The style sheet that contains this rule.
</p></div></div><a class="anchor" name="obj189894252"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setCssText</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../khtml/DOM.DOMString.html">DOM.DOMString</a>&nbsp;</td>
<td class="paramname"><em>a0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>see cssText
DOMException
</p>
<p>
HIERARCHY_REQUEST_ERR: Raised if the rule cannot be inserted
at this point in the style sheet.
</p>
<p>
NO_MODIFICATION_ALLOWED_ERR: Raised if this style sheet is
readonly.
</p>
<p>
CSSException
SYNTAX_ERR: Raised if the specified CSS string value has a
syntax error and is unparsable.
</p>
<p>
INVALID_MODIFICATION_ERR: Raised if the specified CSS string value
represents a different type of rule than the current one.
</p></div></div><a class="anchor" name="obj189892396"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">long type</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>The type of the rule, as defined above. The expectation is that
binding-specific casting methods can be used to cast down from
an instance of the CSSRule interface to the
specific derived interface implied by the type .
</p></div></div><hr><h2>Enumeration Documentation</h2><a class="anchor" name="obj184805900"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">RuleType</td>
</tr>
</table>
</div>
<div class="memdoc"><p>An integer indicating which type of rule this is.
</p><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>UNKNOWN_RULE</em>&nbsp;=&nbsp;0</td><td><tr><td valign="top"><em>STYLE_RULE</em>&nbsp;=&nbsp;1</td><td><tr><td valign="top"><em>CHARSET_RULE</em>&nbsp;=&nbsp;2</td><td><tr><td valign="top"><em>IMPORT_RULE</em>&nbsp;=&nbsp;3</td><td><tr><td valign="top"><em>MEDIA_RULE</em>&nbsp;=&nbsp;4</td><td><tr><td valign="top"><em>FONT_FACE_RULE</em>&nbsp;=&nbsp;5</td><td><tr><td valign="top"><em>PAGE_RULE</em>&nbsp;=&nbsp;6</td><td><tr><td valign="top"><em>QUIRKS_RULE</em>&nbsp;=&nbsp;100</td><td></table>
</dl>
</div></div><p>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
